package com.tsi.api.server.controller.result;

import com.tsi.api.server.vo.NodeStatusVo;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

@Setter
@Getter
@ToString
public class TscNaviApiResultNodeStatusInfo extends AbstractTscSsipApiResult {

    private static final long serialVersionUID = 1L;

    private List<NodeStatusVo> statusList;

    public TscNaviApiResultNodeStatusInfo(int status, String message) {
        super(status, message);
        statusList = null;
    }

    public TscNaviApiResultNodeStatusInfo(int status, String message, List<NodeStatusVo> statusList) {
        super(status, message);
        this.statusList = statusList;
    }

}
